# Created by pyp2rpm-3.3.1
%global pypi_name freezegun

Name:           python-%{pypi_name}
Version:        1.5.1
Release:        %mkrel 3
Summary:        Let your Python tests travel through time
Group:          Development/Python
License:        ASL 2.0
URL:            https://pypi.org/project/freezegun/
Source0:        %{pypi_source}
BuildArch:      noarch
Patch0:         fix_test_import_localtime.patch
BuildRequires:  git-core

BuildRequires:  pkgconfig(python3)
# Check
BuildRequires:  python3dist(pytest)

%description
FreezeGun is a library that allows your python tests to travel through time by
mocking the datetime module.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
FreezeGun is a library that allows your python tests to travel through time by
mocking the datetime module.

%prep
%autosetup -n %{pypi_name}-%{version} -S git

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
# Ignore two tests that are broken when run on systems in certain timezones.
# Reported upstream: https://github.com/spulec/freezegun/issues/348
%pytest --deselect tests/test_datetimes.py::TestUnitTestMethodDecorator::test_method_decorator_works_on_unittest_kwarg_frozen_time \
         --deselect tests/test_datetimes.py::TestUnitTestMethodDecorator::test_method_decorator_works_on_unittest_kwarg_hello

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.5.1-3.mga10
+ Revision: 2237330
- Mageia 10 Mass Rebuild

* Fri Feb 28 2025 daviddavid <daviddavid> 1.5.1-2.mga10
+ Revision: 2153600
- rebuild for python 3.13

* Sat Dec 21 2024 papoteur <papoteur> 1.5.1-1.mga10
+ Revision: 2127037
- new version 1.5.1

* Thu Dec 07 2023 wally <wally> 1.2.2-2.mga10
+ Revision: 2015258
- rebuild for py3.12
- use pyproject rpm macros

* Fri Apr 21 2023 kekepower <kekepower> 1.2.2-1.mga9
+ Revision: 1953785
- Update to version 1.2.2

* Thu Mar 31 2022 umeabot <umeabot> 1.1.0-2.mga9
+ Revision: 1835761
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 wally <wally> 1.1.0-1.mga9
+ Revision: 1774171
- new version 1.1.0
- rebuild for python3.10

* Sat Mar 20 2021 neoclust <neoclust> 1.0.0-2.mga9
+ Revision: 1705902
- Rebuild against python 3.9

* Tue Nov 10 2020 guillomovitch <guillomovitch> 1.0.0-1.mga8
+ Revision: 1644311
- new version 1.0.0

* Sun Mar 29 2020 wally <wally> 0.3.15-1.mga8
+ Revision: 1562201
- new version 0.3.15

* Sun Feb 16 2020 umeabot <umeabot> 0.3.12-4.mga8
+ Revision: 1531393
- Mageia 8 Mass Rebuild

* Wed Sep 11 2019 wally <wally> 0.3.12-3.mga8
+ Revision: 1439702
- rebuild for python3.8

* Fri Aug 30 2019 wally <wally> 0.3.12-2.mga8
+ Revision: 1435620
- drop python2 support

* Sat Jul 06 2019 kekepower <kekepower> 0.3.12-1.mga8
+ Revision: 1419169
- BR python-pytest
- Update to version 0.3.12

* Mon Jan 07 2019 kekepower <kekepower> 0.3.11-2.mga7
+ Revision: 1351251
- Rebuild for Python 3.7
+ shlomif <shlomif>
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.3.9-2.mga7
+ Revision: 1288913
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Don't use version 0.3.10
- Update Source0 link
- Update to version 0.3.10

* Fri Apr 20 2018 kekepower <kekepower> 0.3.9-1.mga7
+ Revision: 1220591
- imported package python-freezegun

